Package: ardour
Version: 1:2.8.11-3
Severity: normal

Hi,

When I want to use my Behringer BCF2000 Ardour crashed with segmentationfault.
It only crashes when i'm using the mackie-protocol in Ardour

It crashes when I' moving the faders after couple of seconds.

I've run Ardour with strace, and i've got this message.

read(5, 0x1723924, 4096) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=6, events=POLLIN}, {fd=5, events=POLLIN}, {fd=10, events=POLLIN}, 
{fd=11, events=POLLIN}, {fd=12, events=POLLIN}, {fd=3, events=POLL    IN}], 6, 
38[fc] MackiePort::handle_midi_any needs 3 bytes, but received [fc]
[b0 65 00] control for rotary [b0 65 00] is null
<unfinished ...>
+++ killed by SIGSEGV +++
Segmentatiefout





-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing'), (50, 'unstable'), (10, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35.2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ardour depends on:
ii  jackd                      5             JACK Audio Connection Kit (default
ii  libart-2.0-2               2.3.21-1      Library of functions for 2D graphi
ii  libasound2                 1.0.23-2      shared library for ALSA applicatio
ii  libatk1.0-0                1.30.0-1      The ATK accessibility toolkit
ii  libaubio2                  0.3.2-4+b2    a library for audio segmentation
ii  libc6                      2.11.2-6      Embedded GNU C Library: Shared lib
ii  libcairo2                  1.8.10-6      The Cairo 2D vector graphics libra
ii  libcairomm-1.0-1           1.8.4-3       C++ wrappers for Cairo (shared lib
ii  libcurl3-gnutls            7.21.0-1      Multi-protocol file transfer libra
ii  libfftw3-3                 3.2.2-1       library for computing Fast Fourier
ii  libfontconfig1             2.8.0-2.1     generic font configuration library
ii  libfreetype6               2.4.2-2       FreeType 2 font engine, shared lib
ii  libgcc1                    1:4.4.4-8     GCC support library
ii  libglib2.0-0               2.25.8-1      The GLib library of C routines
ii  libglibmm-2.4-1c2a         2.24.2-1      C++ wrapper for the GLib toolkit (
ii  libgnomecanvas2-0          2.30.1-1      A powerful object-oriented display
ii  libgnomecanvasmm-2.6-1c2a  2.26.0-1      C++ wrappers for libgnomecanvas2 (
ii  libgtk2.0-0                2.21.2-1      The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a          1:2.20.3-1    C++ wrappers for GTK+ (shared libr
ii  libjack-jackd2-0 [libjack- 1.9.5~dfsg-19 JACK Audio Connection Kit (librari
ii  liblo7                     0.26~repack-5 Lightweight OSC library
ii  liblrdf0                   0.4.0-3       a library to manipulate RDF files 
ii  libpango1.0-0              1.28.1-1      Layout and rendering of internatio
ii  libpangomm-1.4-1           2.26.2-1      C++ Wrapper for pango (shared libr
ii  libraptor1                 1.4.21-2      Raptor RDF parser and serializer l
ii  librasqal2                 0.9.20-1      Rasqal RDF query library
ii  librdf0                    1.0.10-3      Redland Resource Description Frame
ii  libsamplerate0             0.1.7-3       Audio sample rate conversion libra
ii  libsigc++-2.0-0c2a         2.2.4.2-1     type-safe Signal Framework for C++
ii  libslv2-9                  0.6.6-5       A library for simple use of LV2 pl
ii  libsndfile1                1.0.21-3      Library for reading/writing audio 
ii  libstdc++6                 4.4.4-8       The GNU Standard C++ Library v3
ii  libusb-0.1-4               2:0.1.12-16   userspace USB programming library
ii  libvamp-hostsdk3           2.1-1         helper library for Vamp hosts writ
ii  libvamp-sdk2               2.1-1         helper library for Vamp plugins wr
ii  libxml2                    2.7.7.dfsg-4  GNOME XML library
ii  libxslt1.1                 1.1.26-6      XSLT 1.0 processing library - runt
ii  python                     2.6.5-13      interactive high-level object-orie
ii  python-gtk2                2.17.0-4      Python bindings for the GTK+ widge
ii  python-twisted             10.1.0-3      Event-based framework for internet

Versions of packages ardour recommends:
ii  elinks [www-browser]         0.12~pre5-2 advanced text-mode WWW browser
ii  iceweasel [www-browser]      3.6.7-1     Web browser based on Firefox
ii  opera [www-browser]          10.62.6438  A fast and secure web browser and 
ii  w3m [www-browser]            0.5.2-9     WWW browsable pager with excellent

ardour suggests no packages.

-- no debconf information



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to